xcb_render_add_glyphs(3)

NAME
xcb_render_add_glyphs -

SYNOPSIS
#include <xcb/render.h>

  Request function

xcb_void_cookie_t xcb_render_add_glyphs(xcb_connection_t *conn, xcb_render_glyphset_t glyphset, uint32_t glyphs_len, const uint32_t *glyphids, const xcb_render_glyphinfo_t *glyphs, uint32_t data_len, const uint8_t *data);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

glyphset
    TODO: NOT YET DOCUMENTED.

glyphs_len
    TODO: NOT YET DOCUMENTED.

glyphids
    TODO: NOT YET DOCUMENTED.

glyphs
    TODO: NOT YET DOCUMENTED.

data_len
    TODO: NOT YET DOCUMENTED.

data
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_render_add_glyphs_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from render.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.